openSUSE Security Update : python-paramiko (openSUSE-2019-129)

high Nessus Plugin ID 121589

Language:

Synopsis

The remote openSUSE host is missing a security update.

Description

This update for python-paramiko to version 2.4.2 fixes the following issues :

Security issue fixed :

- CVE-2018-1000805: Fixed an authentication bypass in auth_handler.py (bsc#1111151)

Non-security issue fixed :

- Disable experimental gssapi support (bsc#1115769)

This update was imported from the SUSE:SLE-15:Update update project.

Solution

Update the affected python-paramiko packages.

See Also

https://bugzilla.opensuse.org/show_bug.cgi?id=1111151

https://bugzilla.opensuse.org/show_bug.cgi?id=1115769

https://bugzilla.opensuse.org/show_bug.cgi?id=1121846

Plugin Details

Severity: High

ID: 121589

File Name: openSUSE-2019-129.nasl

Version: 1.4

Type: local

Agent: unix

Published: 2/5/2019

Updated: 1/19/2021

Supported Sensors: Frictionless Assessment Agent, Frictionless Assessment AWS, Frictionless Assessment Azure, Nessus Agent

Risk Information

VPR

Risk Factor: Medium

Score: 6.7

CVSS v2

Risk Factor: Medium

Base Score: 6.5

Temporal Score: 4.8

Vector: AV:N/AC:L/Au:S/C:P/I:P/A:P

Temporal Vector: E:U/RL:OF/RC:C

CVSS v3

Risk Factor: High

Base Score: 8.8

Temporal Score: 7.7

Vector: CVSS:3.0/AV:N/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H

Temporal Vector: E:U/RL:O/RC:C

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:python2-paramiko, p-cpe:/a:novell:opensuse:python3-paramiko, cpe:/o:novell:opensuse:15.0

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list

Exploit Ease: No known exploits are available

Patch Publication Date: 3/23/2019

Vulnerability Publication Date: 10/8/2018

Reference Information

CVE: CVE-2018-1000805